Login-Name Passwort


Sicherheit: Mangelnde Eingabeprüfung in OpenVPN
Aktuelle Meldungen Distributionen
Name: Mangelnde Eingabeprüfung in OpenVPN
ID: FEDORA-2017-5882331351
Distribution: Fedora
Plattformen: Fedora 27
Datum: Do, 5. Oktober 2017, 06:29
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12166


Fedora Update Notification
2017-10-04 14:19:13.680314

Name : openvpn
Product : Fedora 27
Version : 2.4.4
Release : 1.fc27
URL : https://community.openvpn.net/
Summary : A full-featured SSL VPN solution
Description :
OpenVPN is a robust and highly flexible tunneling application that uses all
of the encryption, authentication, and certification features of the
OpenSSL library to securely tunnel IP networks over a single UDP or TCP
port. It can use the Marcus Franz Xaver Johannes Oberhumers LZO library
for compression.

Update Information:

Maintenance release with several minor upstream bugfixes and a security fix
related to legacy configurations deploying the deprecated `key-method 1`
configuration option
From this update of, OpenVPN will use the lz4 compression library from Fedora
instead of the upstream bundled library.

[ 1 ] Bug #1497109 - CVE-2017-12166 openvpn: Incorrect bounds check in
read_key() with 'key-method 1'

This update can be installed with the "dnf" update program. Use
su -c 'dnf upgrade openvpn' at the command line.
For more information, refer to the dnf documentation available at

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
package-announce mailing list -- package-announce@lists.fedoraproject.org
To unsubscribe send an email to package-announce-leave@lists.fedoraproject.org
Traut euch!
Neue Nachrichten